%global momorel 2
%global anthy_ver 7500

Summary: An anthy dictionary management tool.
Name: kasumi
Version: 2.0.1
Release: %{momorel}m
License: GPL
URL: http://kasumi.sourceforge.jp/
Group: Applications/System
%NoSource 0 http://downloads.sourceforge.jp/kasumi/20684/%{name}-%{version}.tar.gz 03c03a261c63d2c8cd4bdcc77a55d7eb
Source1: %{name}.desktop
Patch0: 64bit.patch
Patch1:	kasumi-1.0-gcc41.patch
Patch2: gcc41.patch
Patch3: kasumi-2.0.1-ANTHY_DIC_UTIL_ERROR.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: anthy >= %{anthy_ver}
BuildPreReq: atk-devel, gtk+-devel, pango-devel
BuildPreReq: autoconf, automake

%description
An anthy dictionary management tool.

%prep
%setup -q

%patch0 -p1 -b .64bit

# only gcc-4.1 up patch
case "`gcc -dumpversion`" in
4.0.*)
  ;;
4.*)
%patch1 -p1 -b .gcc41_fc
%patch2 -p1 -b .gcc41_suse
  ;;
esac

%patch3 -p1 -b .ANTHY_DIC_UTIL_ERROR

aclocal
automake --add-missing
autoconf

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../kasumi/kasumi.png %{buildroot}%{_datadir}/pixmaps/kasumi.png

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/kasumi
%{_datadir}/applications/kasumi.desktop
%{_datadir}/kasumi
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/kasumi.png

%changelog
* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-2m)
- add patch3 (no user dictionary)

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-1m)
- [SECURITY] an arbitrary text can be accepted as printf()-style format string
- version 2.0.1

* Sun Jun  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- version 2.0
- revive kasumi-1.0-gcc41.patch

* Thu Apr 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-5m)
- change Categories of kasumi.desktop from Utility to Settings

* Tue Feb 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-4m)
- import 64bit.patch and gcc41.patch from opensuse
- remove kasumi-1.0-gcc41.patch

* Tue Jan 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-3m)
- no patched in gcc4.0 (kasumi-1.0-gcc41.patch)

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-2m)
- add gcc-4.1 patch. import Fedora Core
- Patch0 : kasumi-1.0-gcc41.patch

* Wed Dec  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- version 1.0

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-2m)
- update kasumi.desktop

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-1m)
- version 0.10

* Tue May 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9

* Fri Apr  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8
- add kasumi.png to kasumi.desktop

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- initial package for Momonga Linux
- import %%description from kasumi-0.7-1fc3
